Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.iiop.rmi.ir
Class AttributeDefImpl

    java.lang.Object
      org.jboss.iiop.rmi.ir.IRObjectImpl
          org.jboss.iiop.rmi.ir.ContainedImpl
              org.jboss.iiop.rmi.ir.AttributeDefImpl

All Implemented Interfaces:
  AttributeDefOperations, ContainedOperations, IRObjectOperations, org.jboss.iiop.rmi.ir.LocalContained, org.jboss.iiop.rmi.ir.LocalIRObject

public class AttributeDefImpl
extends org.jboss.iiop.rmi.ir.ContainedImpl
implements AttributeDefOperations

Attribute IR object.

Version:
  $Revision: 1.4 $
Author:
  Ole Husgaard

Field Summary
`protected String` | `absolute_name` The absolute name of this object.
`protected DefinitionKind` | `def_kind`
`protected org.jboss.iiop.rmi.ir.LocalContainer` | `defined_in` The container this is defined in.
`protected String` | `id` The global repository ID of this object.
`protected String` | `name` The name of this object within its container.
`protected org.jboss.iiop.rmi.ir.RepositoryImpl` | `repository`
`protected String` | `version` The version of this object.

Method Summary
`String` | `absolute_name()`
`void` | `allDone()` Finalize the building process, and export.
`Repository` | `containing_repository()`
`DefinitionKind` | `def_kind()`
`Container` | `defined_in()`
`Description` | `describe()`
`void` | `destroy()`
`protected byte[]` | `getObjectId()` Return the POA object ID of this IR object.
`protected ORB` | `getORB()` Return the ORB for this IRObject.
`protected POA` | `getPOA()` Return the POA for this IRObject.
`IRObject` | `getReference()` Get an exported CORBA reference to this IRObject.
`org.jboss.iiop.rmi.ir.RepositoryImpl` | `getRepository()` Get a reference to the local IR implementation that this Contained object exists in.
`String` | `id()`
`void` | `id(String id)`
`AttributeMode` | `mode()`
`void` | `mode(AttributeMode arg)`
`void` | `move(Container new_container, String new_name, String new_version)`
`String` | `name()`
`void` | `name(String name)`
`protected Object` | `servantToReference(Servant servant)` Convert a servant to a reference.
`void` | `shutdown()` Unexport this object.
`IDLType` | `type_def()`
`void` | `type_def(IDLType arg)`
`TypeCode` | `type()`
`String` | `version()`
`void` | `version(String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.ContainedOperations
`absolute_name, containing_repository, defined_in, id, id, move, name, name, version, version`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Field Detail

### id

    protected String id

  The global repository ID of this object.

### name

    protected String name

  The name of this object within its container.

### version

    protected String version

  The version of this object. Defaults to 1.0.

### defined_in

    protected org.jboss.iiop.rmi.ir.LocalContainer defined_in

  The container this is defined in. This may not be the same as the container this is contained in.

### absolute_name

    protected String absolute_name

  The absolute name of this object.

### repository

    protected org.jboss.iiop.rmi.ir.RepositoryImpl repository

### def_kind

    protected DefinitionKind def_kind

Method Detail

### getReference

    public IRObject getReference()

  Description copied from interface: `org.jboss.iiop.rmi.ir.LocalIRObject`
  Get an exported CORBA reference to this IRObject.

  Specified by:
    `getReference` in interface `org.jboss.iiop.rmi.ir.LocalIRObject`

### allDone

    public void allDone()
                 throws org.jboss.iiop.rmi.ir.IRConstructionException

  Description copied from interface: `org.jboss.iiop.rmi.ir.LocalIRObject`
  Finalize the building process, and export.

  Specified by:
    `allDone` in interface `org.jboss.iiop.rmi.ir.LocalIRObject`
  Throws:
    `org.jboss.iiop.rmi.ir.IRConstructionException`

### type

    public TypeCode type()

  Specified by:
    `type` in interface `AttributeDefOperations`

### type_def

    public IDLType type_def()

  Specified by:
    `type_def` in interface `AttributeDefOperations`

### type_def

    public void type_def(IDLType arg)

  Specified by:
    `type_def` in interface `AttributeDefOperations`

### mode

    public AttributeMode mode()

  Specified by:
    `mode` in interface `AttributeDefOperations`

### mode

    public void mode(AttributeMode arg)

  Specified by:
    `mode` in interface `AttributeDefOperations`

### describe

    public Description describe()

  Specified by:
    `describe` in interface `ContainedOperations`

### id

    public String id()

  Specified by:
    `id` in interface `ContainedOperations`

### id

    public void id(String id)

  Specified by:
    `id` in interface `ContainedOperations`

### name

    public String name()

  Specified by:
    `name` in interface `ContainedOperations`

### name

    public void name(String name)

  Specified by:
    `name` in interface `ContainedOperations`

### version

    public String version()

  Specified by:
    `version` in interface `ContainedOperations`

### version

    public void version(String version)

  Specified by:
    `version` in interface `ContainedOperations`

### defined_in

    public Container defined_in()

  Specified by:
    `defined_in` in interface `ContainedOperations`

### absolute_name

    public String absolute_name()

  Specified by:
    `absolute_name` in interface `ContainedOperations`

### containing_repository

    public Repository containing_repository()

  Specified by:
    `containing_repository` in interface `ContainedOperations`

### move

    public void move(Container new_container,
                     String new_name,
                     String new_version)

  Specified by:
    `move` in interface `ContainedOperations`

### getObjectId

    protected byte[] getObjectId()

  Return the POA object ID of this IR object. Contained objects use the UTF-8 encoding of their id, prefixed by "repository_name:".

### getRepository

    public org.jboss.iiop.rmi.ir.RepositoryImpl getRepository()

  Get a reference to the local IR implementation that this Contained object exists in.

  Specified by:
    `getRepository` in interface `org.jboss.iiop.rmi.ir.LocalIRObject`

### shutdown

    public void shutdown()

  Unexport this object.

### def_kind

    public DefinitionKind def_kind()

  Specified by:
    `def_kind` in interface `IRObjectOperations`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `IRObjectOperations`

### getORB

    protected ORB getORB()

  Return the ORB for this IRObject.

### getPOA

    protected POA getPOA()

  Return the POA for this IRObject.

### servantToReference

    protected Object servantToReference(Servant servant)

  Convert a servant to a reference.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.